#!/bin/bash

#Comment out this line to specify your JAVA path:
#export JAVA_HOME=/etc/jre...

export APP_BASEDIR=$(pwd)
export JAVA_COMMAND=$JAVA_HOME/bin/java
export APP_LOG_FILE=$APP_BASEDIR/data/adagio-core-4.1.40.log
export APP_CONF_FILE=$APP_BASEDIR/conf/adagio-core-server.config

cd $APP_BASEDIR

if [ -d $JAVA_HOME ]; then
	echo "SIH-Adagio :: Core Server"
	echo "  basedir:  $APP_BASEDIR"
	echo "  jre home: $JAVA_HOME"
	echo "  config file: $APP_CONF_FILE"
	echo "  log file: $APP_LOG_FILE"

	MEMORY="-Xmx1024M"
	#APP_JVM_OPTS="-agentlib:jdwp=transport=dt_socket,server=y,suspend=y,address=8000"
	if [[ ! -z "$TNS_ADMIN" ]]; then
		APP_JVM_OPTS="$APP_JVM_OPTS -Doracle.net.tns_admin=$TNS_ADMIN"
	fi
	
	REP=$(dirname $0)
	
	cd $REP
	
	echo "launch java"
	echo "java command: $JAVA_COMMAND"
	
	$JAVA_COMMAND $MEMORY $APP_JVM_OPTS -Dadagio.log.file=$APP_LOG_FILE -Dadagio-core-server.config=$APP_CONF_FILE -jar adagio-core-4.1.40.jar $*
	exitcode=$?
	echo "Stop SIH-Adagio :: Core Server with exitcode: $exitcode"
	exit $exitcode
	
else
	echo "Java not detected ! Please set environment variable JAVA_HOME before launching,"
	echo "or edit the file 'launch.sh' and insert this line :"
	echo "                                                     export JAVA_HOME=<path_to_java>"
fi

