-- --------------------------------------------------------------------------
--
-- Give grants to other users, on allegro schema tables and sequence
--
--  project : SIH-Adagio :: Core Server
--  version : 4.1.40 for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2009
-- 
-- 01/02/09 BL  Creation
-- 17/11/11 BL  Ajout des droits de lecture sur les vues matérialisées
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file after connect as SIH2_ADAGIO_DBA
--                  OR with SYSTEM privilege
-- --------------------------------------------------------------------------

/*-----------------------------------------------------------------------------
     GRANT pour les utilisateurs autres
     -> SQL pour générer ces commandes (à executer connecté en SIH2_ADAGIO_DBA) :
     
       -- tables (read/write) :
       (select 'grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.'||TABLE_NAME||' to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;' as SQL_COMMAND from user_tables where TABLE_NAME not like 'MD%T_%')
       union
       -- tables (read only) :
       (select 'grant SELECT on SIH2_ADAGIO_DBA.'||TABLE_NAME||' to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;' as SQL_COMMAND from user_tables where TABLE_NAME not like 'MD%T_%')	   
       union
       -- vues (read/write) :
       (select 'grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.'||VIEW_NAME||' to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;' as SQL_COMMAND from user_views)
       union 
       -- vues (read only) :
       (select 'grant SELECT on SIH2_ADAGIO_DBA.'||VIEW_NAME||' to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;' as SQL_COMMAND from user_views)
       union 
       -- sequences :
       (select 'grant SELECT on SIH2_ADAGIO_DBA.'||SEQUENCE_NAME||' to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;' as SQL_COMMAND from user_sequences where SEQUENCE_NAME not like 'MD%S_%')
       union 
       -- procedures (sauf les triggers) :
       (select 'grant EXECUTE on SIH2_ADAGIO_DBA.'||OBJECT_NAME||' to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;' as SQL_COMMAND from user_procedures where OBJECT_NAME not like 'TR_%')
       union 
       -- vues matérialisées (read only) :
       (select 'grant SELECT on SIH2_ADAGIO_DBA.'||OBJECT_NAME||' to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;' as SQL_COMMAND from user_objects where object_type='MATERIALIZED VIEW')
------------------------------------------------------------------------------*/

grant EXECUTE on SIH2_ADAGIO_DBA.P_FILL_LOCATION_HIERARCHY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant EXECUTE on SIH2_ADAGIO_DBA.P_FILL_MANAGED_DATA_BY_QIM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant EXECUTE on SIH2_ADAGIO_DBA.P_FILL_MANAGED_DATA_BY_TABLE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant EXECUTE on SIH2_ADAGIO_DBA.P_FILL_MANAGED_DATA_BY_VESSELS to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant EXECUTE on SIH2_ADAGIO_DBA.SPLIT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.ACQUISITION_LEVEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.ACTIVITY_CALENDAR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.ACTIVITY_CALENDAR_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.AGE_READER_QUAL2LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.AGE_READER_QUALIFICATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.AGE_READER_QUALIFICATIONS2PEOP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.AGGREGATION_LEVEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.AGGREGATION_LEVEL_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.ANALYSIS_INSTRUMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.ANALYSIS_INSTRUMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.APPLIED_PERIOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.APPLIED_STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.APPLIED_STRATEGY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.AUTHOR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.AUTHOR_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.BATCH to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.BATCH_MODEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.BATCH_MODEL_APPLIED_STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.BATCH_MODEL_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.BATCH_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.BUYER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.BUYER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.BUYER_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.CITATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.CITATION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.CK_LOG to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.CORPUS to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.CORPUS2FISHERY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.CORPUS_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.CORPUS_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.CORPUS_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.DATA_SYNCHRONIZATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.DATA_SYNCHRONIZATION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.DECLARED_DOCUMENT_REFERENCE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.DECLARED_DOCUMENT_REFERENC_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_BATCH to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_BATCH_SORT_VAL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_BATCH_SORT_VA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_OPERATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.DEPARTMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.DEPARTMENT_PRIVILEGE_TRANSFERT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.DEPARTMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.DEPTH_GRADIENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.DEPTH_GRADIENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.DISTANCE_TO_COAST_GRADIENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.DISTANCE_TO_COAST_GRADIENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.ECONOMICAL_SURVEY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.EXPECTED_SALE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.EXPECTED_SALE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.FISHERY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.FISHERY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.FISHING_AREA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.FISHING_AREA2REG_LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.FISHING_AREA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.FISHING_EFFORT_CALENDAR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.FISHING_EFFORT_CALENDAR_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.FISHING_OPERATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP2OBSERVER_PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP2PG_VESSEL_MASTER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP_ORIGIN_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.FISHING_TRIP_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.FRACTION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.FRACTION2MATRIX to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.FRACTION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.GEAR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.GEAR_ASSOCIATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.GEAR_CLASSIFICATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.GEAR_CLASSIFICATION_ASSOCIATIO to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.GEAR_CLASSIFICATION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_FEATURES to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_FEATURES_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_FEATURES_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.GEAR_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.GEAR_USE_FEATURES to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.GEAR_USE_FEATURES_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.GEAR_USE_FEATURES_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.GEAR_USE_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.GEAR_USE_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.HIS_FLUX to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.HIS_FLUX_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.LANDING to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.LANDING2OBSERVER_PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.LANDING_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.LANDING_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.LANDING_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.LANDING_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_AREA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_ASSOCIATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_CLASSIFICATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_HIERARCHY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_HIERARCHY_EXCEPTION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_LEVEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_LEVEL_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_LINE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_POINT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.LOCATION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.LOCK_FLUX to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.MANAGED_DATA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.MANAGED_DATA2VIEWER_USER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.MANAGED_DATA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.MANAGED_DATA_TRANSFER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.MANAGED_DATA_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.MATRIX to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.MATRIX_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.MEASUREMENT_FILE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.MEASUREMENT_FILE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.METHOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.METHOD_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.METIER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.METIER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.MINIMUM_SIZE_ALLOWED to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.MINIMUM_SIZE_ALLOWED2LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.MINIMUM_SIZE_ALLOWED_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.NEARBY_SPECIFIC_AREA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.NEARBY_SPECIFIC_AREA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.NUMERICAL_PRECISION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.NUMERICAL_PRECISION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.OBJECT_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.OPERATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.OPERATION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.OPERATION_VESSEL_ASSOCIATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.ORDER_ITEM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.ORDER_ITEM_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.ORDER_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.ORDER_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.PARAMETER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.PARAMETER_GROUP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.PARAMETER_GROUP_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.PERSON2USER_PROFIL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.PERSON_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.PHOTO to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.PHOTO_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.PHOTO_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.PHYSICAL_GEAR_SURVEY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.PHYSICAL_GEAR_SURVEY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_FISHING_EFFORT_ZONE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_FISHING_EFFORT__SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_RIC_TAXON_GROUP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_MASTER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_MASTER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_OWNER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_OWNER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.PLG_TAXON_GROUP_SAMPLING to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.PLG_WEIGHT_LENGTH_CONVERSION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.PMFM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.PMFM2QUALITATIVE_VALUE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.PMFM_APPLIED_STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.PMFM_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.PMFM_STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.PMFM_STRATEGY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.PRECISION_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.PRECISION_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.PRODUCE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.PRODUCE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2DEPARTMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2DEPARTMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2LOCATION_CLASSIF to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM2PERSON_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.PROGRAM_PRIVILEGE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.QUALIFICATION_HISTORY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.QUALITATIVE_VALUE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.QUALITATIVE_VALUE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.QUALITY_FLAG to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.QUANTIFICATION_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.QUANTIFICATION_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_DOCUMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_DOCUMENT2AUTHOR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_DOCUMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_TAXON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_TAXON_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.REFERENCE_TAXON_STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.REGULATION_AREA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.REGULATION_AREA2REG_LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.REGULATION_AREA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.RIGHT_TO_PRODUCE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.RIGHT_TO_PRODUCE2FISHERY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.RIGHT_TO_PRODUCE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.ROUND_WEIGHT_CONVERSION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.ROUND_WEIGHT_CONVERSION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.SALE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.SALE2OBSERVER_PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.SALE_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.SALE_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.SALE_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.SALE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.SALE_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.SALE_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.SAMPLE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.SAMPLE_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.SAMPLE_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.SAMPLE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.SCIENTIFIC_CRUISE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.SCIENTIFIC_CRUISE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.SELLER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.SELLER_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.SORTING_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.SORTING_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM2LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_AREA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_AREA_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_LINE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_LINE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_POINT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_POINT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.SPATIAL_ITEM_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.STATUS to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.STRATEGY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.STRATEGY2GEAR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.STRATEGY2MANAGER_PERSON to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.STRATEGY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.SURVEY_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.SURVEY_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.SURVEY_QUALIFICATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.TAKE_OVER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.TAKE_OVER_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.TAXONOMIC_LEVEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP_HISTORICAL_RECORD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP_HISTORICAL_REC_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP_INFORMATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.TAXON_GROUP_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.TAXON_INFORMATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.TAXON_INFORMATION_HISTORY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.TAXON_NAME to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.TAXON_NAME_HISTORY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.TAXON_NAME_HISTORY_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.TAXON_NAME_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.TEMP_QUERY_PARAMETER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.TEMP_QUERY_PARAMETER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.TMP_LOCATION_HIERARCHY to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.TMP_MANAGED_DATA to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.TMP_TAXON_GROUP_UPDATE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_GEAR to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_LOCATION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_LOCATION_LEVEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_METIER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_PMFM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_PROGRAM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_QUALITATIVE_VALUE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_SIDE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_SIDE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_SYSTEM to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_SYSTEM_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.TRANSCRIBING_TAXON_GROUP to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.TRANSSHIPMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.TRANSSHIPMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.UNIT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.UNIT_CONVERSION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.UNIT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.USER_PRIVILEGE_TRANSFERT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.USER_PROFIL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.VESSEL to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.VESSEL2RIGHT_TO_PRODUCE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_ENGINE_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                         
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_ENGINE_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_EXTENDED_POSITION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_FEATURES to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_FEATURES_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_MANAGE_PERIOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_MASTER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_MASTER_PERIOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                       
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_MASTER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_OWNER to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_OWNER2RIGHT_TO_PRODUCE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                              
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_OWNER_PERIOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_OWNER_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                  
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_FEATURES to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_FEATURES_ORIGI to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                             
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_FEATURES_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_MEASUREMEN_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_POSITION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                            
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_POSITION_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_POSITION_MEASUREMEN_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_POSITION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                               
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_REGISTRATION_PERIOD to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_TYPE to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                                
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_TYPE_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_USE_FEATURES to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_USE_FEATURES_ORIGIN to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                 
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_USE_FEATURES_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                           
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_USE_MEASUREMENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.VESSEL_USE_MEASUREMENT_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.VIRTUAL_COMPONENT to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                          
grant SELECT on SIH2_ADAGIO_DBA.WEIGHT_LENGTH_CONVERSION to SIH2_ADAGIO_WEB,SIH2_ADAGIO_SANDBOX;                                                                                                                                   
grant SELECT on SIH2_ADAGIO_DBA.WEIGHT_LENGTH_CONVERSION_SEQ to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ACQUISITION_LEVEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ACTIVITY_CALENDAR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.AGE_READER_QUAL2LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.AGE_READER_QUALIFICATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.AGE_READER_QUALIFICATIONS2PEOP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.AGGREGATION_LEVEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ANALYSIS_INSTRUMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.APPLIED_PERIOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.APPLIED_STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.AUTHOR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.BATCH to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.BATCH_MODEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.BATCH_MODEL_APPLIED_STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.BUYER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.BUYER_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.CITATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.CK_LOG to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.CORPUS to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.CORPUS2FISHERY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.CORPUS_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DATA_SYNCHRONIZATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DECLARED_DOCUMENT_REFERENCE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DENORMALIZED_BATCH to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DENORMALIZED_BATCH_SORT_VAL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DENORMALIZED_OPERATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DEPARTMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DEPARTMENT_PRIVILEGE_TRANSFERT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DEPTH_GRADIENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.DISTANCE_TO_COAST_GRADIENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ECONOMICAL_SURVEY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.EXPECTED_SALE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHERY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_AREA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_AREA2REG_LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_EFFORT_CALENDAR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_OPERATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_TRIP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_TRIP2OBSERVER_PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_TRIP2PG_VESSEL_MASTER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FISHING_TRIP_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FRACTION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.FRACTION2MATRIX to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_ASSOCIATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_CLASSIFICATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_CLASSIFICATION_ASSOCIATIO to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_FEATURES to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_FEATURES_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_PHYSICAL_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_USE_FEATURES to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_USE_FEATURES_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.GEAR_USE_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.HIS_FLUX to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LANDING to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LANDING2OBSERVER_PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LANDING_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LANDING_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_AREA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_ASSOCIATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_CLASSIFICATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_HIERARCHY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_HIERARCHY_EXCEPTION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_LEVEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_LINE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCATION_POINT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.LOCK_FLUX to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MANAGED_DATA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MANAGED_DATA2VIEWER_USER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MANAGED_DATA_TRANSFER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MANAGED_DATA_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MATRIX to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MEASUREMENT_FILE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.METHOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.METIER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MINIMUM_SIZE_ALLOWED to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.MINIMUM_SIZE_ALLOWED2LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.NEARBY_SPECIFIC_AREA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.NUMERICAL_PRECISION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.OBJECT_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.OPERATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.OPERATION_VESSEL_ASSOCIATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ORDER_ITEM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ORDER_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PARAMETER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PARAMETER_GROUP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PERSON2USER_PROFIL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PHOTO to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PHOTO_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PHYSICAL_GEAR_SURVEY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLAYGROUND_FISHING_EFFORT_ZONE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLAYGROUND_RIC_TAXON_GROUP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_MASTER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLAYGROUND_VESSEL_OWNER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLG_TAXON_GROUP_SAMPLING to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PLG_WEIGHT_LENGTH_CONVERSION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PMFM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PMFM2QUALITATIVE_VALUE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PMFM_APPLIED_STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PMFM_STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PRECISION_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PRODUCE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM2DEPARTMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM2LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM2LOCATION_CLASSIF to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM2PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.PROGRAM_PRIVILEGE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.QUALIFICATION_HISTORY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.QUALITATIVE_VALUE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.QUALITY_FLAG to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.QUANTIFICATION_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REFERENCE_DOCUMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REFERENCE_DOCUMENT2AUTHOR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REFERENCE_TAXON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REFERENCE_TAXON_STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REGULATION_AREA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.REGULATION_AREA2REG_LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.RIGHT_TO_PRODUCE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.RIGHT_TO_PRODUCE2FISHERY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.ROUND_WEIGHT_CONVERSION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SALE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SALE2OBSERVER_PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SALE_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SALE_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SALE_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SAMPLE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SAMPLE_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SCIENTIFIC_CRUISE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SELLER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SELLER_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SORTING_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM2LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM_AREA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM_LINE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM_POINT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SPATIAL_ITEM_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.STATUS to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.STRATEGY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.STRATEGY2GEAR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.STRATEGY2MANAGER_PERSON to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SURVEY_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.SURVEY_QUALIFICATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAKE_OVER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAKE_OVER_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXONOMIC_LEVEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_GROUP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_GROUP_HISTORICAL_RECORD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_GROUP_INFORMATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_GROUP_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_INFORMATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_INFORMATION_HISTORY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                    
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_NAME to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TAXON_NAME_HISTORY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TEMP_QUERY_PARAMETER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TMP_LOCATION_HIERARCHY to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TMP_MANAGED_DATA to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                             
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TMP_TAXON_GROUP_UPDATE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_GEAR to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_LOCATION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                        
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_LOCATION_LEVEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_METIER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_PMFM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_PROGRAM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_QUALITATIVE_VALUE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_SIDE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_SYSTEM to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSCRIBING_TAXON_GROUP to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.TRANSSHIPMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.UNIT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.UNIT_CONVERSION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.USER_PRIVILEGE_TRANSFERT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.USER_PROFIL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL2RIGHT_TO_PRODUCE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                      
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_ENGINE_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                           
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_EXTENDED_POSITION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_FEATURES to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_MANAGE_PERIOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_MASTER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_MASTER_PERIOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                         
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_OWNER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                 
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_OWNER2RIGHT_TO_PRODUCE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_OWNER_PERIOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_FEATURES to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_FEATURES_ORIGI to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                               
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_PHYSICAL_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_POSITION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                              
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_POSITION_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_REGISTRATION_PERIOD to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_TYPE to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                  
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_USE_FEATURES to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                          
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_USE_FEATURES_ORIGIN to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                   
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VESSEL_USE_MEASUREMENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                       
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.VIRTUAL_COMPONENT to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                            
grant SELECT,INSERT,UPDATE,DELETE on SIH2_ADAGIO_DBA.WEIGHT_LENGTH_CONVERSION to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_GROUPING_METIER to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                     
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_LOCATION_DCF to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                        
grant SELECT on SIH2_ADAGIO_DBA.DENORMALIZED_LOCATION_LAND to SIH2_ADAGIO_ADM,SIH2_ADAGIO_BATCH,SIH2_ADAGIO_BATCH_GEOMETRY;                                                                                                       
